View Issue Details

IDProjectCategoryView StatusLast Update
0004460mantisbtbugtrackerpublic2006-09-12 00:52
Reportervboctor Assigned Tovboctor  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.19.0rc1 
Fixed in Version1.1.0a1 
Summary0004460: Show last visited N issues
Description

It would be useful to have a feature where we always keep track of the last visited N issues for the current user. This does not have to persist between logins.

This information should be displayed at the bottom of the screen (maybe?). The hyperlinked issue ids are to be displayed as follows:

0004453, 0004452, 0004433, 0004456, 0004457

This is useful when settup up relationships, or when you want to go back to an issue you just visted.

Thoughts are welcome about the feature in general, where/how to display the issue ids, ...

TagsNo tags attached.

Relationships

has duplicate 0005521 closedvboctor Easy way of creating relationships 
related to 0007895 closedgiallu Recently Visited when logged in as Anonymous shows issues i have not visited 
child of 0004181 closed Features in Mantis 1.1 release 

Activities

jlatour

jlatour

2004-09-01 17:46

reporter   ~0007381

I think we should work on placement/layout a bit, but nice feature!

Wanderer

Wanderer

2004-09-01 19:57

developer   ~0007385

I think about it not as "short history", but in form of "User's bookmark", saved between session of cource, where links to different needed (for any reason) issues can be stored. It can be additional section in all pages(view_all and view) and contain link and user-defined description

toddpw

toddpw

2005-07-29 02:20

reporter   ~0011009

I found myself wanting something like this the last few times I entered a relationship and wasn't sure I remembered the exact issue number.

It also occurs to me that as a section on the "My View" screen, some people might want to configure this fairly high so they can see quickly what they were working on the last time they logged in (that would require persistence of course).

vboctor

vboctor

2006-08-12 04:06

manager   ~0013252

Implemented in CVS and will be part of Mantis 1.1. The recently visited issues will be shown on the top right corner under the menu in selected pages. There is a configuration option to turn it off and another to control the number of entries to be kept in the list.

The list is persisted between sessions.

Issue History

Date Modified Username Field Change
2004-09-01 17:44 vboctor New Issue
2004-09-01 17:46 jlatour Note Added: 0007381
2004-09-01 17:46 jlatour Status new => acknowledged
2004-09-01 17:46 jlatour Relationship added child of 0004181
2004-09-01 19:57 Wanderer Note Added: 0007385
2005-07-29 02:20 toddpw Note Added: 0011009
2006-08-12 04:06 vboctor Status acknowledged => resolved
2006-08-12 04:06 vboctor Fixed in Version => 1.1.0
2006-08-12 04:06 vboctor Resolution open => fixed
2006-08-12 04:06 vboctor Assigned To => vboctor
2006-08-12 04:06 vboctor Note Added: 0013252
2006-08-12 04:09 vboctor Relationship added has duplicate 0005521
2006-09-12 00:52 vboctor Status resolved => closed
2007-04-13 03:53 giallu Relationship added related to 0007895